List customers

Search for customers

Query Parameters
  • page
    Type: integer
    min:  
    1
    required

    The result page number to fetch. The first page has number 1 (one).

  • page_size
    Type: integer
    min:  
    1
    max:  
    100
    required

    How many results to return per page. Settings this number too high may impact performance, we recommend values between 10 and 100.

  • filter_type
    Type: stringenum

    The kind of search to perform.

    values
    • field
    • field-prefix
    • field-search
    • special
  • filter_field
    Type: string

    Name of the field to search in. The available fields depends on the className the request is made to.

  • filter_value
    Type: string

    The value to search for.

  • order_field
    Type: string

    Name of the field to order the results by. The available fields depends on the className the request is made to.

  • order_direction
    Type: stringenum

    Whether to use ascending or descending ordering for the field specified.

    values
    • asc
    • desc
Responses
  • application/json
  • application/json
Request Example for get/customer
curl 'https://sandbox.billogram.com/api/v2/customer?page=1&page_size=25&filter_type=field&filter_field=&filter_value=&order_field=&order_direction=asc' \
  --header 'Authorization: Basic username:password'
{
  "status": "string",
  "data": [
    {
      "customer_no": 12345,
      "name": "Terkel Testsson",
      "notes": "string",
      "org_no": "string",
      "vat_no": "SE556677889901",
      "language": "string",
      "contact": {
        "name": "string",
        "email": "hello@example.com",
        "phone": "string"
      },
      "address": {
        "careof": "string",
        "use_careof_as_attention": true,
        "attention": "string",
        "address_line_1": "string",
        "address_line_2": "string",
        "address_line_3": "string",
        "administrative_area": "string",
        "dependent_locality": "string",
        "organization": "string",
        "sorting_code": "string",
        "zipcode": "string",
        "city": "string",
        "country": "SE"
      },
      "letter_forwarding_enabled": true,
      "delivery_address": {
        "name": "string",
        "address_line_1": "string",
        "address_line_2": "string",
        "address_line_3": "string",
        "administrative_area": "string",
        "dependent_locality": "string",
        "organization": "string",
        "sorting_code": "string",
        "careof": "string",
        "attention": "string",
        "zipcode": "string",
        "city": "string",
        "country": "string"
      },
      "permanent_establishment_address": {
        "name": "string",
        "additional_name": "string",
        "family_name": "string",
        "address_line_1": "string",
        "address_line_2": "string",
        "address_line_3": "string",
        "administrative_area": "string",
        "dependent_locality": "string",
        "organization": "string",
        "sorting_code": "string",
        "zipcode": "string",
        "city": "string",
        "country": "string"
      },
      "payment_settings": {
        "recurring_payment_type": "autogiro"
      },
      "created_at": "2026-04-29T11:19:15.647Z",
      "updated_at": "2026-04-29T11:19:15.647Z",
      "company_type": "individual",
      "edi": {
        "electronic_id": "string",
        "operator": "addett",
        "reference": "string"
      },
      "links": {
        "automatic_payments_setup_link": "string"
      }
    }
  ]
}